Ads and Commerce
Ads and Commerce
Resources

Business Event Source Groups

Updated: Jul 26, 2019

Reading

Get event source groups owned by this business.

Example

GET /v25.0/{business-id}/event_source_groups HTTP/1.1
Host: graph.facebook.com
If you want to learn how to use the Graph API, read our Using Graph API guide

Parameters

This endpoint doesn't have any parameters.

Fields

Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of EventSourceGroup nodes.
paging
For more details about pagination, see the Graph API guide.

Error Codes

Error Code Description
270
This Ads API request is not allowed for apps with development access level (Development access is by default for all apps, please request for upgrade). Make sure that the access token belongs to a user that is both admin of the app and admin of the ad account
200
Permissions error
100
Invalid parameter

Creating

/{business_id}/event_source_groups

You can make a POST request to event_source_groups edge from the following paths:
When posting to this edge, an EventSourceGroup will be created.

Parameters

Parameter Description
event_sources
list<numeric string or integer>
Event sources associated with this event source group, such as IDs for pixels.
required
name
UTF-8 encoded string
Name of the event source group.
required

Return Type

This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct  {
id: numeric string,
}

Error Codes

Error Code Description
100
Invalid parameter

Updating

You can't perform this operation on this endpoint.

Deleting

You can't perform this operation on this endpoint.
Did you find this page helpful?
Thumbs up icon
Thumbs down icon